<!--
IGAC proyecto SNC

@author rodrigo.hernandez

@description  página para CU-SA-AC-030 Generar oficio para territorial de costos honorarios

@Managed Bean GeneracionOficioInterventorAvaluadorMB
 
@version  2.0

-->


<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:p="http://primefaces.org/ui"
        id="generarOficioTerritorialCostosHonorariosForm">

    <p:spacer height="10" />

    <p:messages id="msgs" showDetail="false" />

    <p:fieldset>
        <h:panelGrid columns="2" width="100%">
            <h:panelGrid columns="2" width="100%"
                         columnClasses="colMediana, colMediana">
                <h:outputLabel value="Cons. Documento:"
                               styleClass="outputLabelStyle" />
                <h:outputText value="FIXME" styleClass="outputTextStyle" />
            </h:panelGrid>

            <p:spacer />

            <h:panelGrid columns="2" width="100%"
                         columnClasses="colMediana, colMediana">
                <h:outputLabel value="Código oficina:" styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{generarOficioTerritorialCostosHonorarios.territorialAvaluo.codigo}"
                    styleClass="outputTextStyle" />
            </h:panelGrid>

            <h:panelGrid columns="2" width="100%"
                         columnClasses="colMediana, colMediana">
                <h:outputLabel value="Resolución pago perito honorarios:"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{generarOficioTerritorialCostosHonorarios.resolucionPagoHonorarios.valorCaracter}"
                    styleClass="outputTextStyle" />
            </h:panelGrid>

            <h:panelGrid columns="2" width="100%"
                         columnClasses="colMediana, colMediana">
                <h:outputLabel value="Fecha Oficio" styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{generarOficioTerritorialCostosHonorarios.fechaOficio}"
                    styleClass="outputTextStyle">
                    <f:convertDateTime pattern="#{general.formatoFecha}" locale="es_CO"
                                       timeZone="GMT-5" />
                </h:outputText>
            </h:panelGrid>

            <h:panelGrid columns="2" width="100%"
                         columnClasses="colMediana, colMediana">
                <h:outputLabel value="Resolución pago costo servicio:"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{generarOficioTerritorialCostosHonorarios.resolucionPagoCostoServicio.valorCaracter}"
                    styleClass="outputTextStyle" />
            </h:panelGrid>

            <h:panelGrid columns="2" width="100%"
                         columnClasses="colMediana, colMediana">
                <h:outputLabel value="No. Radicación" styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{generarOficioTerritorialCostosHonorarios.solicitud.numero}"
                    styleClass="outputTextStyle" />
            </h:panelGrid>

            <h:panelGrid columns="2" width="100%"
                         columnClasses="colMediana, colMediana">
                <h:panelGrid columns="2">
                    <h:outputLabel value="Anexos:" styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGrid>
                <h:panelGrid columns="2">
                    <h:inputText id="anexos" required="true"
                                 requiredMessage="Debe ingresar la información del dato de entrada Anexos, ya que es obligatoria, Intente nuevamente"
                                 value="#{generarOficioTerritorialCostosHonorarios.anexos}">
                    </h:inputText>
                    <p:message for="anexos" display="icon" id="anexosMsg" />
                </h:panelGrid>
            </h:panelGrid>

            <h:panelGrid columns="2" width="100%"
                         columnClasses="colMediana, colMediana">
                <h:outputLabel value="Profesional Control Calidad"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{generarOficioTerritorialCostosHonorarios.usuario.nombreCompleto}"
                    styleClass="outputTextStyle" />
            </h:panelGrid>

            <p:spacer />

            <h:panelGrid columns="2" width="100%"
                         columnClasses="colMediana, colMediana">
                <h:outputLabel value="Solicitante" styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{generarOficioTerritorialCostosHonorarios.solicitud.solicitante.nombreCompleto}"
                    styleClass="outputTextStyle" />
            </h:panelGrid>

            <p:spacer />

            <h:panelGrid columns="2" width="100%"
                         columnClasses="colMediana, colMediana">
                <h:outputLabel value="Nombre cargo solicitante:"
                               styleClass="outputLabelStyle" />
                <h:outputText value="FIXME" styleClass="outputTextStyle" />
            </h:panelGrid>

            <p:spacer />

            <h:panelGrid columns="2" width="100%"
                         columnClasses="colMediana, colMediana">
                <h:outputLabel value="Coordinador de GIT de Avalúos:"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{generarOficioTerritorialCostosHonorarios.coordinadorGITAvaluos.nombreCompleto}"
                    styleClass="outputTextStyle" />
            </h:panelGrid>

            <p:spacer />

            <h:panelGrid columns="2" width="100%"
                         columnClasses="colMediana, colMediana">
                <h:outputLabel value="Territorial: " styleClass="outputLabelStyle" />
                <h:outputText styleClass="outputTextStyle"
                              id="TerritorialesConDireccionGeneral-1"
                              value="#{generarOficioTerritorialCostosHonorarios.territorialAvaluo.codigo}">
                    <f:converter converterId="converterCB"
                                 for="TerritorialesConDireccionGeneral-1" />
                </h:outputText>
            </h:panelGrid>

            <p:spacer />

            <h:panelGrid columns="2" width="100%"
                         columnClasses="colMediana, colMediana">
                <h:outputLabel value="Director territorial"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{generarOficioTerritorialCostosHonorarios.directorTerritorial.nombreCompleto}"
                    styleClass="outputTextStyle" />
            </h:panelGrid>

        </h:panelGrid>
    </p:fieldset>

    <p:spacer height="10" />

    <p:fieldset id="avaluosConsDocFS">

        <p:spacer height="10" />

        <p:dataTable var="registro" id="avaluosConsDocumentoTable"
                     widgetVar="avaluosConsDocumentoWV"
                     value="#{generarOficioTerritorialCostosHonorarios.listaRegistrosAvaluadorAvaluo}"
                     rows="10" rowsPerPageTemplate="10" paginator="true"
                     paginatorPosition="bottom" emptyMessage="No existen avaluos"
                     sortBy="#{registro.avaluo.id}">

            <f:facet name="header">
                Información de trámites a informar a interventor(es)
            </f:facet>

            <p:column headerText="Opciones">
                <p:commandButton title="Información de los predios del avalúo"
                                 icon="ui-icon-home"
                                 action="#{consultaInformacionPredial.cargarInformacionPredial}"
                                 update=":prediosAvaluoForm" onstart="statusDialog2.show();"
                                 oncomplete="statusDialog2.hide();
                                 handleCompleteSIC(xhr, status, args, infoPredialWV, true);">
                    <f:setPropertyActionListener value="#{registro.avaluo}"
                                                 target="#{consultaInformacionPredial.avaluoSeleccionado}" />
                </p:commandButton>
            </p:column>

            <p:column rowspan="3">
                <f:facet name="header">
                    Sec. radicado
                </f:facet>
                <h:outputText value="#{registro.avaluo.secRadicado}"
                              styleClass="outputTextStyle" />
            </p:column>

            <p:column rowspan="3">
                <f:facet name="header">
                    Departamento
                </f:facet>
                <p:commandLink
                    value="#{registro.avaluo.avaluosPredios[0].departamento.nombre}"
                    rendered="#{registro.avaluo.tienePrediosEnDiferentesDeptos}"
                    styleClass="commandLinkStyle"
                    action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                    update=":consultarDepartamentosMunicipioForm"
                    onstart="statusDialog2.show();"
                    oncomplete="statusDialog2.hide();
                    handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);">
                    <f:setPropertyActionListener value="#{registro.avaluo}"
                                                 target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
                </p:commandLink>

                <h:outputText styleClass="outputTextStyle"
                              rendered="#{!avaluoCancelado.tienePrediosEnDiferentesDeptos}"
                              value="#{registro.avaluo.avaluoPredios[0].departamento.codigo}
                              - #{registro.avaluo.avaluoPredios[0].departamento.nombre}" />
            </p:column>

            <p:column rowspan="3">
                <f:facet name="header">
                    Municipio
                </f:facet>
                <p:commandLink
                    value="#{registro.avaluo.avaluosPredios[0].departamento.nombre}"
                    rendered="#{registro.avaluo.tienePrediosEnDiferentesDeptos}"
                    styleClass="commandLinkStyle"
                    action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                    update=":consultarDepartamentosMunicipioForm"
                    onstart="statusDialog2.show();"
                    oncomplete="statusDialog2.hide();
                    handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);">
                    <f:setPropertyActionListener value="#{registro.avaluo}"
                                                 target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
                </p:commandLink>

                <h:outputText styleClass="outputTextStyle"
                              rendered="#{!avaluoCancelado.tienePrediosEnDiferentesDeptos}"
                              value="#{registro.avaluo.avaluoPredios[0].municipio.codigo}
                              - #{registro.avaluo.avaluoPredios[0].municipio.nombre}" />
            </p:column>

            <p:column rowspan="3">
                <f:facet name="header">
                    Nombre  <br />avaluador
                </f:facet>
                <h:outputText value="#{registro.avaluador.nombreCompleto}"
                              styleClass="outputTextStyle" />
            </p:column>

            <p:column rowspan="3">
                <f:facet name="header">
                    Con <br />I.V.A
                </f:facet>
                <h:outputText value="#{registro.avaluador.contratoActivo.generaIva}"
                              styleClass="outputTextStyle" />
            </p:column>

            <p:column>
                <f:facet name="header">
                    Valor avaluo
                </f:facet>
                <h:outputText id="valorAvaluo"
                              value="#{registro.avaluo.avaluoComercial}"
                              styleClass="outputTextStyle">
                    <f:converter converterId="converterMoneda" for="valorAvaluo" />
                </h:outputText>
            </p:column>

            <p:column>
                <f:facet name="header">
                    Honorarios IGAC
                </f:facet>
                <h:outputText id="valorHonorarios"
                              value="#{registro.avaluo.valorHonorariosIGAC}"
                              styleClass="outputTextStyle">
                    <f:converter converterId="converterMoneda" for="valorHonorarios" />
                </h:outputText>
            </p:column>

            <p:column>
                <f:facet name="header">
                    Base <br />honorarios
                </f:facet>
                <h:outputText id="baseHonorarios"
                              value="#{generarOficioTerritorialCostosHonorarios.baseHonorarios}"
                              styleClass="outputTextStyle">
                    <f:converter converterId="converterMoneda" for="baseHonorarios" />
                </h:outputText>
            </p:column>

            <p:column>
                <f:facet name="header">
                    Subtotal
                </f:facet>

                <h:outputText id="subtotal" value="#{registro.subtotal}"
                              styleClass="outputTextStyle">
                    <f:converter converterId="converterMoneda" for="subtotal" />
                </h:outputText>
            </p:column>

            <p:column rowspan="3">
                <f:facet name="header">
                    Detalles de <br /> honorarios
                </f:facet>
                <p:commandLink value="Detalles" styleClass="commandLinkStyle"
                               onstart="statusDialog2.show();"
                               oncomplete="statusDialog2.hide(); 
                               alert('Se llama a la pantalla que se usa en el CU-050 para realizar calculo de honorarios.')">

                </p:commandLink>
            </p:column>

        </p:dataTable>

        <p:spacer height="10" />

        <h:panelGrid columns="2" width="100%"
                     columnClasses="colMediana, colMediana" rowClasses="columnOnTop">

            <h:panelGrid>

                <legend>
                    <h:outputLabel value="Costos del servicio" styleClass="legendTitle" />
                </legend>

                <h:panelGrid columns="2" width="100%"
                             columnClasses="colMediana, colMediana">
                    <h:outputLabel value="Total del servicio:"
                                   styleClass="outputLabelStyle" />
                    <h:outputText id="totalServicio"
                                  value="#{generarOficioTerritorialCostosHonorarios.totalServicio}"
                                  styleClass="outputTextStyle">
                        <f:converter converterId="converterMoneda" for="totalServicio" />
                    </h:outputText>


                </h:panelGrid>

            </h:panelGrid>

            <h:panelGrid>

                <legend>
                    <h:outputLabel value="Costos de honorarios"
                                   styleClass="legendTitle" />
                </legend>

                <h:panelGrid columns="2" width="100%"
                             columnClasses="colMediana, colMediana">
                    <h:outputLabel value="Total honorarios:"
                                   styleClass="outputLabelStyle" />
                    <h:outputText id="totalHonorarios"
                                  value="#{generarOficioTerritorialCostosHonorarios.totalHonorarios}"
                                  styleClass="outputTextStyle">
                        <f:converter converterId="converterMoneda" for="totalHonorarios" />
                    </h:outputText>
                </h:panelGrid>

                <h:panelGrid columns="2" width="100%"
                             columnClasses="colMediana, colMediana">
                    <h:outputLabel value="IVA honorarios:"
                                   styleClass="outputLabelStyle" />
                    <h:outputText id="ivaHonorarios"
                                  value="#{generarOficioTerritorialCostosHonorarios.ivaHonorarios}"
                                  styleClass="outputTextStyle">
                        <f:converter converterId="converterMoneda" for="ivaHonorarios" />
                    </h:outputText>
                </h:panelGrid>

                <h:panelGrid columns="2" width="100%"
                             columnClasses="colMediana, colMediana">
                    <h:outputLabel value="Total honorarios a pagar:"
                                   styleClass="outputLabelStyle" />
                    <h:outputText id="totalHonorariosAPagar"
                                  value="#{generarOficioTerritorialCostosHonorarios.totalHonorariosAPagar}"
                                  styleClass="outputTextStyle">
                        <f:converter converterId="converterMoneda"
                                     for="totalHonorariosAPagar" />
                    </h:outputText>
                </h:panelGrid>

            </h:panelGrid>





        </h:panelGrid>

        <p:spacer height="10" />

        <p:outputPanel layout="block" style="text-align:left">

            <p:commandButton value="Aceptar" icon="ui-icon-check"
                             action="#{generarOficioTerritorialCostosHonorarios.confirmarOficio}"
                             onstart="statusDialog2.show();" oncomplete=" statusDialog2.hide();"
                             update=":generarOficioTerritorialCostosHonorariosForm:msgs, 
                             :generarOficioTerritorialCostosHonorariosForm:anexosMsg" />
            <p:spacer width=" 5" />

            <p:commandButton
                disabled="#{!generarOficioTerritorialCostosHonorarios.banderaOficioGenerado}"
                action="#{generarOficioTerritorialCostosHonorarios.verVistaPrevia}"
                value="Vista previa documento" icon="ui-icon-search"
                onstart="statusDialog2.show();"
                oncomplete="statusDialog2.hide(); memorandoWV.show();" />

        </p:outputPanel>
    </p:fieldset>
</h:form>